from zeep import Client

# Przykład wywołania metody getDispatchStatus, umożliwiającej sprawdzenie statusów przesyłek

login = '' # Login konta w Postivo.pl
api_pass = '' # Hasło dostępu do konta przez API

# Identyfikatory przesyłek, których status chcemy sprawdzić
dispatch_ids = ["T0000002", "T0000001"]

try:
# Utworzenie klienta SOAP:
    client = Client("https://api.postivo.pl/webservices.php?wsdl")

# Wywołanie metody getDispatchStatus z przekazaniem wszystkich parametrów
    request_data={'login' : login,
                  'api_pass' : api_pass,
                  'dispatch_ids' : dispatch_ids
                  }

    output=client.service.getDispatchStatus(**request_data)

# Przykład obsługi danych wyjściowych:
    print("Status żądania: "+output['result']+", kod statusu żądania: "+output['result_code']+", opis statusu żądania: "+output['result_description'])
    for shipment in output['shipments']:
        print("\nPrzesyłka dla: "+shipment['recipient_name']+", "+shipment['recipient_address']+" "+str(shipment['recipient_home_number'])+"/"+str(shipment['recipient_flat_number'])+", "+str(shipment['recipient_post_code'])+" "+shipment['recipient_city']+", składająca się z "+str(shipment['page_number'])+" stron ma status "+shipment['status']+" (kod statusu: "+shipment['status_code']+", opis kodu: "+shipment['status_description']+")", end ="");
        if shipment['status']=='OK':
            print(", Operator pocztowy, doręczający przesyłkę: "+shipment['dispatch_carrier']+", Typ przesyłki: "+shipment['dispatch_type']+". Jej koszt to "+str(shipment['price'])+" zł netto. Identyfikator tej przesyłki to: "+shipment['id']+".")
except:
    print("Wystąpił błąd")

